## salome 5.1.3

=== debian/changelog ===
salome (5.1.3-9) unstable; urgency=low

  [ Denis Barbier ]
  * Removed contrib from package sections, as it dates to long-past times when
    Open CASCADE was non-free (closes: #584171).
  * Added patch-stamp target to make sure patches apply before configure
    (closes: #584285).
  * Abort in clean target if quilt pop fails.
  * Abort when a module cannot be configured, built or installed.
  * Added Vcs fields to control file.
  * Added libqt4-opengl-dev to Build-Depends.

  [ Andre Espaze ]
  * Adding TOOLSGUI to GUI_LDFLAGS for building VISU, added it back into the
    modules list.
  * Explicitly exporting GetIDMapper template to avoid linker problems with g++
    optimizations (closes: #584172).

  [ Adam C. Powell, IV ]
  * Changed the "chmod -x" command the python directory to only include .py
    files and shared libraries.
  * Changed bindir to /usr/lib/salome/bin and libdir to /usr/lib/salome/lib to
    avoid collisions with other packages (closes: #584124).
  * Added Py back to python Salome_Container to remove conflict between
    python2.5-salome and salome packages.
  * Moved doxygen and graphviz from Build-Depends-Indep to Build-Depends.
  * Fixed documentation install targets to not build documentation.
  * Added usr_docs target for MED module.
  * Updated README.Debian.html.
  * Merged salome, libsalome5.1.3-0, python2.5-salome packages, and .so shared
    library symlinks from libsalome-dev into salome package (closes: #584586).
  * Changed name of the remainder of libsalome-dev to salome-dev, with about 13
    MiB of headers and other development files useless to end users.
  * Added Build-Conflicts with libsalome-dev, and salome binary package
    Conflicts with libsalome-dev and python2.5-salome, and removed salome
    dependency on those two.
  * Added lintian override for uploader Adam Powell's name.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 10 Jun 2010 03:59:38 -0400

salome (5.1.3-8) unstable; urgency=low

  * Removed the salome-doc binary package to cut disk space use dramatically.
  * Moved SALOME_ContainerPy.py back to /usr/bin and dropped the Py.py ending.
  * Moved SALOME_Container and other python scripts to python2.5-salome.
  * Made python2.5-salome conflict with old salome because of this.
  * Stripped .sh from shell script file names in /usr/bin .

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 07 May 2010 07:18:21 -0400

salome (5.1.3-7) unstable; urgency=low

  * Added quilt Build-Dependency.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 27 Apr 2010 22:24:48 -0400

salome (5.1.3-6) unstable; urgency=low

  [ Andre Espaze ]
  * Added libsalome-dev dependency to salome, as it's necessary for now.
  * Added LD_LIBRARY_PATH setting to runSalome.in.

  [ Gerber van der Graaf ]
  * Menu entry in salome.menu file.

  [ Adam C. Powell, IV ]
  * Removed modules: VISU doesn't build, SIERPINSKY depends on it, NETGENPLUGIN
    but requires significant updates to work with Debian's 4.9.x package.
  * Revamped rules so build-arch/install-arch/binary-arch doesn't do all of the
    documentation building.
  * Un-did some of Andre's changes regarding python file permissions and .awk
    and .tgz file locations.
  * New salome.desktop file for Applications menu entry.
  * Added quilt pop -a and removal of .pc to debian/rules clean target.
  * Added libopencascade-visualization-dev dependency to salome.
  * Patched runSalome.py to not require executable .py files.
  * Changed to omniidl[-python] Build-Dep reflecting unstable name change.
  * Changed control file encoding to UTF-8.
  * First upload (closes: #457075).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 25 Apr 2010 22:42:28 -0400

salome (5.1.3-5) unstable; urgency=low

  * Python 2.5/2.6 installation flexibility to build on Ubuntu Karmic.
  * New modules: NETGENPLUGIN, YACS, MULTIPR, LIGHT, PYLIGHT.
  * Started module XDATA, need to finish fixing very broken clean target.
  * Generalize MPI usage away from OpenMPI-only.
  * Fixed the runSalome script UnitsAPI directory location, added DISABLE_FPE=1
    so the GEOM module works properly, and added new module root dirs.
  * Fixed the killSalome script by making it config-able.
  * Updated install target in rules.
  * Changed salome-common dependency on salome to Recommends.
  * Removed .la files from -dev package.
  * Added ${misc:Depends} to all package dependencies.
  * Corrected debhelper and python-central Build-Depends etc.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 04 Mar 2010 12:04:18 -0500

salome (5.1.3-4) unstable; urgency=low

  * Team maintenance by debian-science.
  * Complete source code copyright audit by Gerber van der Graaf, updated
    copyright and included all of his analysis in the copyright-audit
    directory.
  * New modules: COMPONENT, CALCULATOR, PYCALCULATOR, SIERPINSKY.
  * Started module NETGENPLUGIN, need libnetgen-dev B-D and possibly patches.
  * Tell salome about new VTK 5.4.
  * Fixed Makefile clean targets so the tree goes back to its original state.
  * Updated OpenCascade detection to include data files.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 21 Feb 2010 10:06:09 -0500

salome (5.1.3-3) unstable; urgency=low

  * New modules: RANDOMIZER, HELLO, PYHELLO, VISU, SMESH.
  * All patches are now upstream-ready except kernel-mpi-libs which is
    Debian-specific.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 24 Jan 2010 12:31:11 -0500

salome (5.1.3-2) unstable; urgency=low

  * New modules: GUI, GEOM, MED.
  * Lots of new patches and Build-Depends!
  * Removed patch-stamp and unpatch targets since source format 3.0 takes care
    of that.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 10 Jan 2010 14:17:29 -0500

salome (5.1.3-1) unstable; urgency=low

  * New upstream release.
  * Starting simple -- just builds two modules for now.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bumped Standards-Version.

