=== debian/control ===
Source: salome
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Adam C. Powell, IV <hazelsct@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0), quilt, autoconf, automake1.9 | automaken, libtool,
 gfortran, flex, bison, python2.5, python2.5-dev, python-central, python-numpy,
 swig, libboost-dev, libboost-thread-dev, libboost-signals-dev,
 libboost-system-dev, libboost-regex-dev, libxml2-dev,
 mpi-default-dev, libhdf5-mpi-dev | libhdf5-dev,
 omniidl, libomniorb4-dev (>= 4.1.0), libomnithread3-dev, libcos4-dev,
 python-omniorb, omniidl-python, libcppunit-dev,
 libgl1-mesa-dev | libgl-dev, libxmu-dev, libqt4-dev, libqwt5-qt4-dev, libqt4-opengl-dev,
 libopencascade-foundation-dev, libopencascade-ocaf-lite-dev,
 libopencascade-ocaf-dev, libopencascade-visualization-dev,
 graphviz, libgraphviz-dev, libqscintilla2-dev, sip4, python-qt4-dev, pyqt4-dev-tools,
 libvtk5-dev, python-vtk,
 libmed-dev (>=2.3.6-2), libmedc-dev, libmed-tools, libmedimportcxx-dev,
 libscotch-dev, libgd2-noxpm-dev | libgd-dev, libnglib-dev, doxygen
Build-Depends-Indep: texlive-latex-base, python-docutils, python-sphinx
Build-Conflicts: libsalome-dev
XS-Python-Version: 2.5
Homepage: http://www.salome-platform.org/
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/salome.git;a=summary
Vcs-Git: git://git.debian.org/git/debian-science/packages/salome.git

Package: salome
Architecture: any
Section: science
Depends: salome-common (= ${source:Version}), libopencascade-visualization-dev, omniorb4-nameserver, python-omniorb, ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: salome-examples
Conflicts: libsalome-dev, libsalome5.1.3-0, python2.5-salome
XB-Python-Version: 2.5
Description: Numerical simulation pre- and post-processor
 Salomé is a pre- and post-processor for numerical simulations.  It can import
 CAD files in IGES and STEP formats, facilitates component integration in
 heterogeneous systems, and has a user-friendly GUI as well as a Python console
 with all of the platform functionality.
 .
 This package contains the Salomé runtime binaries, private libraries, and
 python files.

Package: salome-common
Architecture: all
Section: science
Depends: ${misc:Depends}
Recommends: salome
Description: Numerical simulation pre- and post-processor
 Salomé is a pre- and post-processor for numerical simulations.  It can import
 CAD files in IGES and STEP formats, facilitates component integration in
 heterogeneous systems, and has a user-friendly GUI as well as a Python console
 with all of the platform functionality.
 .
 This package contains the architecture-independent runtime resources needed to
 run Salomé.

Package: salome-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Description: Numerical simulation pre- and post-processor development files
 Salomé is a pre- and post-processor for numerical simulations.  It can import
 CAD files in IGES and STEP formats, facilitates component integration in
 heterogeneous systems, and has a user-friendly GUI as well as a Python console
 with all of the platform functionality.
 .
 This package contains the Salomé header files, IDL files, and .m4 files.

Package: salome-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: salome
Description: Numerical simulation pre- and post-processor documentation
 Salomé is a pre- and post-processor for numerical simulations.  It can import
 CAD files in IGES and STEP formats, facilitates component integration in
 heterogeneous systems, and has a user-friendly GUI as well as a Python console
 with all of the platform functionality.
 .
 This package contains example files for Salomé.
