=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=salome
SALOME_VERSION=5.1.3
LIB_VERSION=0.0.0

# Support multiple makes at once
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
NJOBS := 1
endif

# These are the modules which require build_configure to build.  They are
# ordered by priority and then dependency: KERNEL through NETGENPLUGIN are
# core; MULTIPR through SIERPINSKY are optional
# modules; LIGHT and PYLIGHT are alternate non-CORBA interface shells;
# HELLO through PYCALCULATOR are module examples; HXX2SALOME 
# and XDATA are module development tools.  In terms of dependency, KERNEL and
# HXX2SALOME are at the bottom, GUI depends on KERNEL, GEOM and MED also depend
# on GUI, VISU on MED and GUI, SMESH on GEOM MED and GUI, etc.
# Notes:
# - See ChangeLog regarding VISU, NETGENPLUGIN and SIERPINSKY modules.
# - XDATA is not a normal module, it needs special treatment.
# - BLSURFPLUGIN, GHS3D[PRL]PLUGIN and HexoticPLUGIN require non-free
#   libraries, and will not be part of the Debian package.
SALOME_MODULES = KERNEL_SRC_$(SALOME_VERSION) \
  GUI_SRC_$(SALOME_VERSION) \
  GEOM_SRC_$(SALOME_VERSION) \
  MED_SRC_$(SALOME_VERSION) \
  VISU_SRC_$(SALOME_VERSION) \
  SMESH_SRC_$(SALOME_VERSION) \
  YACS_SRC_$(SALOME_VERSION) \
  MULTIPR_SRC_$(SALOME_VERSION) \
  COMPONENT_SRC_$(SALOME_VERSION) \
  RANDOMIZER_SRC_$(SALOME_VERSION) \
  LIGHT_SRC_$(SALOME_VERSION) \
  PYLIGHT_SRC_$(SALOME_VERSION) \
  HELLO_SRC_$(SALOME_VERSION) \
  PYHELLO_SRC_$(SALOME_VERSION) \
  CALCULATOR_SRC_$(SALOME_VERSION) \
  PYCALCULATOR_SRC_$(SALOME_VERSION) \
  HXX2SALOME_SRC_$(SALOME_VERSION)
# XDATA_SRC_$(SALOME_VERSION) \
  BLSURFPLUGIN_SRC_$(SALOME_VERSION) \
  GHS3DPLUGIN_SRC_$(SALOME_VERSION) \
  GHS3DPRLPLUGIN_SRC_$(SALOME_VERSION) \
  HexoticPLUGIN_SRC_$(SALOME_VERSION)

clean:
	dh_testdir
	for skipfile in GEOM_SRC_$(SALOME_VERSION)/src/PARTITION/Makefile.in \
	    KERNEL_SRC_$(SALOME_VERSION)/DEPRECATED/Makefile.in; do \
	  mv $$skipfile $$skipfile.skip; \
	done
	for salomodule in $(SALOME_MODULES); do \
	  if [ -e $$salomodule/Makefile ]; then \
	    $(MAKE) -C $$salomodule maintainer-clean; \
	  fi; \
	  rm -f `find $$salomodule -name Makefile.in -print`; \
	done
	if [ -e XDATA_SRC_$(SALOME_VERSION)/Makefile ]; then \
	  make -C XDATA_SRC_$(SALOME_VERSION) maintainer-clean; \
	fi
	for skipfile in GEOM_SRC_$(SALOME_VERSION)/src/PARTITION/Makefile.in \
	    KERNEL_SRC_$(SALOME_VERSION)/DEPRECATED/Makefile.in; do \
	  mv $$skipfile.skip $$skipfile; \
	done

#	Remove new .in files
	rm -f KERNEL_SRC_$(SALOME_VERSION)/bin/runSalome.in \
	  KERNEL_SRC_$(SALOME_VERSION)/bin/killSalome.in \
	  KERNEL_SRC_$(SALOME_VERSION)/bin/appliskel/env.d/envProducts.sh.in
#	Restore obsolete files
	for obsoletefile in `find . -name \*.obs -print`; do \
	  mv -f $$obsoletefile `echo $$obsoletefile | sed s/.obs//`; \
	done
	QUILT_PATCHES=debian/patches quilt pop -a || test $$? = 2
	-rm -rf .pc

	rm -f *-stamp
	dh_clean

patch-stamp:
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2
	touch $@

configure-stamp: patch-stamp
	dh_testdir
#	Move aside obsolete files
	for obsoletefile in KERNEL_SRC_$(SALOME_VERSION)/bin/runSalome \
	  KERNEL_SRC_$(SALOME_VERSION)/bin/appliskel/env.d/envProducts.sh \
	  YACS_SRC_$(SALOME_VERSION)/doc/Doxyfile \
	  XDATA_SRC_$(SALOME_VERSION)/aclocal.m4 \
	  XDATA_SRC_$(SALOME_VERSION)/configure \
	  `find XDATA_SRC_$(SALOME_VERSION) -name Makefile.in -print`; do \
	  if [ ! -e $$obsoletefile.obs ]; then \
	    mv $$obsoletefile $$obsoletefile.obs; \
	  fi; \
	done
#	Install new .in files
	cp -fp debian/runSalome.in debian/killSalome.in KERNEL_SRC_$(SALOME_VERSION)/bin/
	cp -fp debian/envProducts.sh.in KERNEL_SRC_$(SALOME_VERSION)/bin/appliskel/env.d/

	set -e; for salomodule in $(SALOME_MODULES); do \
	  echo; echo CONFIGURING SALOME MODULE $$salomodule; echo; \
	  cd $$salomodule; \
	   KERNEL_ROOT_DIR=$(CURDIR)/KERNEL_SRC_$(SALOME_VERSION) \
	     GUI_ROOT_DIR=$(CURDIR)/GUI_SRC_$(SALOME_VERSION) \
	     MED_ROOT_DIR=$(CURDIR)/MED_SRC_$(SALOME_VERSION) \
	     GEOM_ROOT_DIR=$(CURDIR)/GEOM_SRC_$(SALOME_VERSION) \
	     RANDOMIZER_ROOT_DIR=$(CURDIR)/RANDOMIZER_SRC_$(SALOME_VERSION) \
	     COMPONENT_ROOT_DIR=$(CURDIR)/COMPONENT_SRC_$(SALOME_VERSION) \
	     CALCULATOR_ROOT_DIR=$(CURDIR)/CALCULATOR_SRC_$(SALOME_VERSION) \
	     PYCALCULATOR_ROOT_DIR=$(CURDIR)/PYCALCULATOR_SRC_$(SALOME_VERSION) \
	     SMESH_ROOT_DIR=$(CURDIR)/SMESH_SRC_$(SALOME_VERSION) \
	     SIERPINSKY_ROOT_DIR=$(CURDIR)/SMESH_SRC_$(SALOME_VERSION) \
	     ./build_configure; \
	   ./configure --prefix=/usr CASROOT=/usr VTKSUFFIX=-5.4 \
	     NETGENHOME=/usr \
	     --with-mpi=/usr --with-mpi_include=/usr/include/mpi \
	     KERNEL_ROOT_DIR=$(CURDIR)/KERNEL_SRC_$(SALOME_VERSION) \
	     GUI_ROOT_DIR=$(CURDIR)/GUI_SRC_$(SALOME_VERSION) \
	     MED_ROOT_DIR=$(CURDIR)/MED_SRC_$(SALOME_VERSION) \
	     GEOM_ROOT_DIR=$(CURDIR)/GEOM_SRC_$(SALOME_VERSION) \
	     RANDOMIZER_ROOT_DIR=$(CURDIR)/RANDOMIZER_SRC_$(SALOME_VERSION) \
	     COMPONENT_ROOT_DIR=$(CURDIR)/COMPONENT_SRC_$(SALOME_VERSION) \
	     CALCULATOR_ROOT_DIR=$(CURDIR)/CALCULATOR_SRC_$(SALOME_VERSION) \
	     PYCALCULATOR_ROOT_DIR=$(CURDIR)/PYCALCULATOR_SRC_$(SALOME_VERSION) \
	     SMESH_ROOT_DIR=$(CURDIR)/SMESH_SRC_$(SALOME_VERSION) \
	     SIERPINSKY_ROOT_DIR=$(CURDIR)/SMESH_SRC_$(SALOME_VERSION); \
	  cd ..; \
	done
#	Restore these when the XDATA clean target actually works
#	echo; echo CONFIGURING SALOME MODULE XDATA; echo
#	(cd XDATA_SRC_$(SALOME_VERSION) && \
	 aclocal -I adm/unix/config_files && autoconf && automake && \
	 ./configure --prefix=/usr VTKSUFFIX=-5.4 \
	   KERNEL_ROOT_DIR=$(CURDIR)/KERNEL_SRC_$(SALOME_VERSION))
	touch $@

build: build-arch build-indep
build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
#	Add XDATA to list below when its clean target actually works
	set -e; for salomodule in $(SALOME_MODULES); do \
	  echo; echo COMPILING SALOME MODULE $$salomodule; echo; \
	  $(MAKE) -C $$salomodule -j $(NJOBS) bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc; \
	done
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	echo; echo GENERATING DOCUMENTATION IN MODULE KERNEL; echo
	make -C KERNEL_SRC_$(SALOME_VERSION)/doc usr_docs dev_docs -j $(NJOBS) DESTDIR=$(CURDIR)/debian/tmp bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc
	echo; echo GENERATING DOCUMENTATION IN MODULE GUI; echo
	make -C GUI_SRC_$(SALOME_VERSION)/doc usr_docs dev_docs -j $(NJOBS) DESTDIR=$(CURDIR)/debian/tmp bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc
	echo; echo GENERATING DOCUMENTATION IN MODULE GEOM; echo
	make -C GEOM_SRC_$(SALOME_VERSION)/doc usr_docs dev_docs -j $(NJOBS) DESTDIR=$(CURDIR)/debian/tmp bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc
	echo; echo GENERATING DOCUMENTATION IN MODULE MED; echo
	make -C MED_SRC_$(SALOME_VERSION)/doc usr_docs dev_docs -j $(NJOBS) DESTDIR=$(CURDIR)/debian/tmp bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc
	echo; echo GENERATING DOCUMENTATION IN MODULE VISU; echo
	make -C VISU_SRC_$(SALOME_VERSION)/doc usr_docs dev_docs -j $(NJOBS) DESTDIR=$(CURDIR)/debian/tmp bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc
	echo; echo GENERATING DOCUMENTATION IN MODULE HELLO; echo
	make -C HELLO_SRC_$(SALOME_VERSION)/doc usr_docs -j $(NJOBS) DESTDIR=$(CURDIR)/debian/tmp bindir=/usr/lib/salome/bin libdir=/usr/lib/salome/lib docdir=/usr/share/doc/salome-doc
	echo; echo GENERATING DOCUMENTATION IN MODULE PYHELLO; echo
